//FloorFillGaps.scad;

include <UNO_Dimensions.scad>;

//This module augments the module: Floor;

//That module defines the floor below 
//the electronic components;
//It defines just the simple rectangular slab 
//of that floor;

//A lid completes the case and rests 
//onto and into a rebate in the floor;

//This module adds two protrusions to fill 
//the gaps below the USB connector and 
//below the DC power socket;

module FloorFillGaps()
{

echo("Begin FloorFillGaps");
    
//For this device, the gaps are filled with 
//two simple  rectangular parallelepipeds;

//Warning!
//Some of the parameters of the cube and 
//the wall will seem to be the wrong way around;
//They aren't;
//Each filler is created as though in a 
//wall along the X axis and then rotated 
//into position on the Y axis;
    
translate([DCfillerDeltaX, 
    DCfillerDeltaY, 
    DCfillerZ/2])
rotate([0,0,90])
rotate([-90,0,0])
cube([DCfillerY, 
    DCfillerZ, 
    DCfillerX], center=true);


translate([USBfillerDeltaX, 
    USBfillerDeltaY, 
    USBfillerZ/2])
rotate([0,0,90])
rotate([-90,0,0])
cube([USBfillerY, 
    USBfillerZ, 
    USBfillerX], center=true);

}
//
