//FloorMountingPost.scad

//Module to make one mounting post 
//for a UNO;

//This module constructs a conical mounting 
//post that is a bit bigger at the bottom 
//than at the top and that has an 
//unthreaded hole suitable for a self 
//tapping screw;
//On output from this module, the mounting post 
//is centered about the Z axis and 
//resting on the XY plane;

//Any further adjustment of orientation
//and/or position
//must be done by the calling module;

include <UNO_Dimensions.scad>;

module FloorMountingPost()
{

echo("Begin FloorMountingPost");
    

cylinder(h=PostUnoHeight,
    d1=PostUnoPhiBottom, d2=PostUnoPhiTop, 
    center=false, $fn=32);
    
}

//
