//FloorMountingPostGap.scad

//Module to make one gap under one screw 
//under one mounting post;

//See also FloorMountingPost;
//That module creates the body of the 
//mounting post, but without a hole for 
//a screw to secure the UNO;

//This module provides a small gap in 
//the top of the lower floor, 
//to accommodate the end of the screw 
//that secures the UNO to the upper floor; 

//On output from this module, the gap 
//is centered about the Z axis and the XY plane;

//Any further adjustment of orientation
//and/or position must be done 
//by the calling module;

include <UNO_Dimensions.scad>;

module FloorMountingPostGap()
{

echo("Begin FloorMountingPostGap");


PostGapPhi = 6;
    
cylinder(h=FloorZ,
    d=PostGapPhi, center=true, $fn=32);
}

//
