//LidHoles.scad;

//All walls are the same height, 
//suitable for an Arduino UNO,
//with an Adafruit TFT on top;

//Warning!
//This module defines the holes for 
//the USB and DC power connectors in 
//the lid of a case that is suitable for 
//the Adafruit V2 TFT, not for the V1 TFT;  
//That is a little longer and would 
//need a bigger case;

//Refinements to include in other 
//assemblies include:
//  Rounded corners;
//  The lid top;

include <UNO_Dimensions.scad>

module LidHoles()
{

echo("Begin LidHoles");
    
translate([USBdeltaX, USBdeltaY, USBdeltaZ])
cube([USBx, USBy, USBz], center=true);

translate([DCdeltaX, DCdeltaY, DCdeltaZ])
cube([DCx, DCy, DCz], center=true);

}
//
