//Lid Top.scad;

//The top is 
//suitable for an Arduino UNO,
//with an Adafruit TFT on top;

//Warning!
//This module defines the lid of a case 
//that is suitable for the Adafruit V2 TFT, 
//not for the V1 TFT;  
//That is a little longer and would 
//need a bigger case;

//Refinements to include in later 
//assemblies include:
//  Rounded corners;
//  The walls;
//  The holes for the 
//  USB and DC power connectors;

include <UNO_Dimensions.scad>

module LidTop()
{

//The lid top is constructed to rest 
//on the walls of the lid; 

LidX = WallInnerX +WallThickness;
LidY = WallInnerY +WallThickness;
LidZ = WallThickness;
    
LidDeltaX = 0;
LidDeltaY = 0;
LidDeltaZ = WallZ;

translate([LidDeltaX, LidDeltaY, LidDeltaZ])
cube([LidX, LidY, LidZ], center =true);
    

}
//
